<?php

class Cart extends CartCore
{
    public function getPackageShippingCost($id_carrier = null, $use_tax = true, Country $default_country = null, $product_list = null, $id_zone = null)
    {
        $shipping_cost = parent::getPackageShippingCost($id_carrier, $use_tax, $default_country, $product_list, $id_zone);
        $cart = Context::getContext()->cart;
        $cartId = $cart->id;

        if (Db::getInstance()->executeS("SELECT * FROM cs_repetito_products WHERE prodID = " . $cartId . ";")) {
            $repetitoSettings = Db::getInstance()->executeS("SELECT * FROM cs_repetito WHERE id = " . 1 . ";");
            
            $address = new Address();
            $address->id_country = $repetitoSettings[0]["country"];

            $taxManager = TaxManagerFactory::getManager($address, $repetitoSettings[0]["tax"]);
            $taxCalculator = $taxManager->getTaxCalculator();

            $taxRate = $taxCalculator->getTotalRate();

            $repetitoFeeWithTax = $repetitoSettings[0]["fee"] + ($repetitoSettings[0]["fee"] / 100) * $taxRate;

            return $shipping_cost + $repetitoFeeWithTax;
        } else {
            return $shipping_cost;
        }
    }
}