$(document).ready(function() {
    console.log("Repetito script loaded and ready!");

    // Get all the menu items
    var menuItems = document.querySelectorAll('.list-group-item');

    // Add click event to each menu item
    menuItems.forEach(function(item) {
        item.addEventListener('click', function(e) {
            // Prevent the default link behavior
            e.preventDefault();

            // Remove 'active' class from all items and hide all content sections
            menuItems.forEach(function(i) {
                i.classList.remove('active');
                document.getElementById(i.getAttribute('data-target')).style.display = 'none';
            });

            // Add 'active' class to the clicked item and show the corresponding content section
            item.classList.add('active');
            var contentId = item.getAttribute('data-target');
            document.getElementById(contentId).style.display = 'block';
        });
    });
});