<div class="row">
    <div class="col-md-3">
        <div class="list-group">
            <a href="#" class="list-group-item list-group-item-action active" data-target="content1">Nastavenie</a>
            <a href="#" class="list-group-item list-group-item-action" data-target="content2">Príplatky</a>
            <a href="#" class="list-group-item list-group-item-action" data-target="content3">Autor</a>
        </div>
    </div>
    <div class="col-md-9">
        <div id="content1" class="content-section">
            <div class="panel row">
                <h3 class="panel-heading col-xs-12">Nastavenie</h3>
                <form class="defaultForm form-horizontal" method="post" action="{$adminControllerLink}">
                <div class="form-wrapper">
                    <div class="form-group">
                        <input type="checkbox" {if $showImageInCart}checked{/if} name="showImageInCart" id="showImageInCart" value="1"/>
                        <label for="showImageInCart">Zobraziť obrázok v nákupnom košíku</label>
                    </div>    

                    <div class="form-group">
                        <input type="checkbox" {if $status}checked{/if} name="status" id="status" value="1"/>
                        <label for="status">Služba je aktívna</label>
                    </div>   

                    <h4 style="font-weight: bold;">Povolené balenie</h4>

                    <div class="form-group">
                        <div>
                            <input type="checkbox" {if $softS}checked{/if} name="softS" id="softS" value="1"/>
                            <label for="softS">Soft S (35 x 25 x 10 cm)</label>
                        </div>
                        <div>
                            <input type="checkbox" {if $softM}checked{/if} name="softM" id="softM" value="1"/>
                            <label for="softM">Soft M (50 x 35 x 16 cm)</label>
                        </div>
                        <div>
                            <input type="checkbox" {if $softL}checked{/if} name="softL" id="softL" value="1"/>
                            <label for="softL">Soft L (60 x 35 x 22 cm)</label>
                        </div>
                        <div>
                            <input type="checkbox" {if $boxS}checked{/if} name="boxS" id="boxS" value="1"/>
                            <label for="boxS">Box S (21 x 11 x 9 cm)</label>
                        </div>
                        <div>
                            <input type="checkbox" {if $boxM}checked{/if} name="boxM" id="boxM" value="1"/>
                            <label for="boxM">Box M (28 x 21 x 11 cm)</label>
                        </div>
                    </div>   

                    <button type="submit" name="saveSettings" id="saveSettings" class="btn btn-primary">ULOŽIT</button>
                </div>    
                </form>
            </div>

        </div>

        <div id="content2" class="content-section" style="display:none;">
            <div class="panel row">
                <h3 class="panel-heading col-xs-12">Príplatky</h3>
                <form class="defaultForm form-horizontal" method="post" action="{$adminControllerLink}">
                <div class="form-wrapper">
                    <div class="form-group">            
                        <label for="fee" class="control-label">Cena príplatku</label>
                        <div>
                            <input type="number" step="0.01" name="fee" class="form-control" id="fee" value="{$fee}">
                        </div>
                    </div>    

                    <div class="form-group">            
                        <label for="tax" class="control-label">Daňová trieda</label>
                        <div>
                            <select id="tax" name="tax">
                                {$taxOptions nofilter}
                            </select>
                        </div>
                    </div>    

                    <div class="form-group">            
                        <label for="maxWeight" class="control-label">Maximálna hmotnosť</label>
                        <div>
                            <input type="number" step="0.5" name="maxWeight" class="form-control" id="maxWeight" value="{$maxWeight}">
                        </div>
                    </div>  

                    <div class="form-group">            
                        <label for="country" class="control-label">Cieľová zóna/Krajina</label>
                        <div>
                            <select id="country" name="country">
                                {$countryOptions nofilter}
                            </select>
                        </div>
                    </div>  

                    <button type="submit" name="saveFees" id="saveFees" class="btn btn-primary">ULOŽIT</button>
                </div>    
                </form>
            </div>
        </div>

        <div id="content3" class="content-section" style="display:none;">
            <div class="panel row">
                <h3 class="panel-heading col-xs-12">Autor</h3>
                
                <h4>Kontakt na majiteľa a prevádzkovateľa služby</h4>
                <p>REPETITO, s.r.o.</p>
                <p>Web: <a href="https://www.repetito.sk" target="_blank">www.repetito.sk</a></p>
                <p>Email: kontakt@repetito.sk</p>
                <p>Tel.: +421 911 502 500</p>
                <br><br>
                <h4>Kontakt na tvorcu modulu</h4>
                <p>DEENZO, s.r.o.</p>
                <p>Web: <a href="https://www.deenzo.com" target="_blank">www.deenzo.com</a></p>
                <p>Email: info@deenzo.com</p>
            </div>
        </div>
    </div>
</div>
